VST 3 Examples VST 3.7 SDK for developing VST plug-in

Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Validator Class Reference

Main Class of Validator. More...

`#include <validator.h>`

Inheritance diagram for Validator:

## Classes
struct | ModuleTestConfig

## Public Member Functions
| Validator (int argc, char *argv[])
| ~Validator () override
int | run ()
| OBJ_METHODS (Validator, FObject) REFCOUNT_METHODS(FObject) tresult queryInterface(const char *_iid
virtual void | addErrorMessage (const char *msg)=0
virtual void | addMessage (const char *msg)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0
virtual tresult | getName (String128 name)=0
virtual tresult | createInstance (TUID cid, TUID _iid, void **obj)=0

## Public Attributes
void **obj | override

## Protected Types
using | Module = VST3::Hosting::Module

## Protected Member Functions
void | addErrorMessage (const char *msg) override
void | addMessage (const char *msg) override
tresult | getName (String128 name) override
tresult | createInstance (TUID cid, TUID iid, void **obj) override
IPtr< TestSuite > | createTests (ITestPlugProvider *plugProvider, const ConstString &plugName, bool extensive)
void | addTest (ITestSuite *testSuite, TestBase *test)
void | runTestSuite (TestSuite *suite, FIDString nameFilter=nullptr)
void | testModule (Module::Ptr module, const ModuleTestConfig &config)

## Protected Attributes
int | argc
char ** | argv
IPtr< PlugInterfaceSupport > | mPlugInterfaceSupport
int32 | numTestsFailed {0}
int32 | numTestsPassed {0}
bool | addErrorWarningTextToOutput {true}
std::ostream * | infoStream {nullptr}
std::ostream * | errorStream {nullptr}

## Additional Inherited Members
Static Public Attributes inherited from ITestResult
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid
Static Public Attributes inherited from IHostApplication
static const FUID | iid

## Detailed Description

Main Class of Validator.

## Member Typedef Documentation

## ◆ Module

using Module = VST3::Hosting::Module
| protected

## Constructor & Destructor Documentation

## ◆ Validator()

Validator | ( | int | argc,
|  | char * | argv[]
| ) |  |

## ◆ ~Validator()

~Validator | ( |  | ) |
| override

## Member Function Documentation

## ◆ run()

int run | ( |  | ) |

## ◆ OBJ_METHODS()

OBJ_METHODS | ( | Validator | ,
|  | FObject |
| ) |  | const

## ◆ addErrorMessage()

void addErrorMessage | ( | const char * | msg | ) |
| override protected virtual

Implements ITestResult.

## ◆ addMessage()

void addMessage | ( | const char * | msg | ) |
| override protected virtual

Implements ITestResult.

## ◆ getName()

tresult getName | ( | String128 | name | ) |
| override protected virtual

Implements IHostApplication.

## ◆ createInstance()

tresult createInstance | ( | TUID | cid,
|  | TUID | iid,
|  | void ** | obj
| ) |  |
| override protected virtual

Implements IHostApplication.

## ◆ createTests()

IPtr< TestSuite > createTests | ( | ITestPlugProvider * | plugProvider,
|  | const ConstString & | plugName,
|  | bool | extensive
| ) |  |
| protected

## ◆ addTest()

void addTest | ( | ITestSuite * | testSuite,
|  | TestBase * | test
| ) |  |
| protected

## ◆ runTestSuite()

void runTestSuite | ( | TestSuite * | suite,
|  | FIDString | nameFilter = `nullptr`
| ) |  |
| protected

## ◆ testModule()

void testModule | ( | Module::Ptr | module,
|  | const ModuleTestConfig & | config
| ) |  |
| protected

## Member Data Documentation

## ◆ override

void** obj override

## ◆ argc

int argc
| protected

## ◆ argv

char** argv
| protected

## ◆ mPlugInterfaceSupport

IPtr<PlugInterfaceSupport> mPlugInterfaceSupport
| protected

## ◆ numTestsFailed

int32 numTestsFailed {0}
| protected

## ◆ numTestsPassed

int32 numTestsPassed {0}
| protected

## ◆ addErrorWarningTextToOutput

bool addErrorWarningTextToOutput {true}
| protected

## ◆ infoStream

std::ostream* infoStream {nullptr}
| protected

## ◆ errorStream

std::ostream* errorStream {nullptr}
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.